Subject: [mobile-ip] Last Call comments addressed on draft-ietf-mobileip-aaa-keys-06.txt

From: Pat Calhoun <[email-masked]>
Date: Sat, 30 Jun 2001 14:56:56 -0700

All,

I have addressed the following comments in the next revision of the
AAA keys draft. I do not believe that another WG last call is needed
on this document, but I will let the chairs decide.

Thanks,

PatC
>>
>> Pat, sorry for the late comments, the draft looks alot better
>now but there
>> are some issues I'd like to address.
>>
>> Section 1.
>> "2. If the mobile node does not have a Mobility Security Association
>>        with the foreign agent, it includes an MN-FA Key Request
>>        extension."
>>
>> suggested change:
>>
>> "2. If the mobile node does not have a Mobility Security Association
>>        with the foreign agent, it SHOULD include an MN-FA Key Request
>>        extension."

I used MUST instead of SHOULD
>>
>> Section 1.
>> "3. Similarly, if the mobile node does not have a Mobility Security
>>        Association with the home agent, it adds an MN-HA Key Request
>>        extension."
>>
>> suggested change
>> "3. Similarly, if the mobile node does not have a Mobility Security
>>        Association with the home agent, it MUST add an MN-HA Key Request
>>        extension."
>
>ok, so far minor editorial changes.
>
>> Section 4.
>> I can't find reference 12 (Registration Keys for Route
>Optimization) but I
>> can find the extension pointed to in reference 11 (Generalized Key
>> Distribution Extensions for Mobile IP)
>>
>> suggested change is to remove ref 12 and use 11 instead.

fixed.
>
>>
>> Section 5.
>> The "Unsolicited MN-HA Key Material From AAA Subtype" includes a
>Lifetime, a
>> Lifetime is also included in the "Genralized MN-HA Key Reply
>Extension" (see
>> ref 11), i.e. the lifetime in the subtype is redundant so I
>suggest that it
>> will be removed.
>

Correct. As it stands, both the gen-key and the aaa subtype included
a lifetime field for the mn-ha. I have removed the lifetime in the
mn-ha aaa subtype. This is now clean.

>> Section 6 and 7.
>>
>> The "Generalized MN-FA Key Request Extension" and the
>"Generalized MN-HA Key
>> Request Extension" in ref 11 both include a Mobile Node SPI
>which indicates
>> which SPI the mobile node would like to use in its security
>association with
>> the respective node. In section 6 and 7 a subtype is introduced to these
>> extensions which includes a SPI which the mobile node would like
>to use in
>> its security assocition with respecive node. I believe this is redundant
>> information.
>>
>> Suggested change: Use the SPI in the "Generalized" extensions
>and have the
>> subtype data field be zero in length. Thus the subtype indicates
>that it is
>> a MN-?A Key Request from AAA Subtype and that it uses the SPI
>indicated by
>> the Mobile Node SPI in the Generalized Extension.
>
This was a problem as we ended up with two SPI fields. 
Both request subtypes now include no data, and just define the subtype value
of 7.

>>
>> One last thing has to do with the reference section. Ref 11 is:
>> "[11] C. Perkins and P. Calhoun.  Generalized Key Distribution
>>         Extensions for Mobile IP (work in progress).
>>         draft-ietf-mobileip-gen-key-02.txt, March 2001."
>>
>> and I can't find the draft as wg document. However, I can find it as
>> draft-perkins-mobileip-gen-key-03.txt.
>> So can we make it a WG document? And does it need to be a RFC in
>order to be
>> referenced from the aaa-key doc, or is it possible for a RFC to
>reference a
>> draft?
>
>This is the issue that I brought up with the chairs and CharlieP.

This is now being fixed, and the gen-key is being submitted as a WG 
document.

Thanks,

PatC

----- End forwarded message -----